#include<bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#define int long long
#define ll long long
#define ff first
#define ss second
#define num ss
#define value ff.ff
#define cntt ff.ss
#define pb push_back
#define m_p make_pair
#pragma GCC optimize("Ofast")
#pragma GCC optimize("unroll-loops")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,tune=native")
#pragma GCC target("avx,avx2")
using namespace std;
using namespace __gnu_pbds;
#define ordered set tree < int ,  null_type ,  less ,  rb_tree_tag ,  tree_order_statistics_node_update >
//mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
//constexpr int N=2147483647;
//constexpr int INF=2147483647;
//constexpr int BIGINF=1e18;
//constexpr int N=500001;
//constexpr int mod=998244353;
int A[100001];
void solve()
{
    int n, ans=0;
    cin>>n;
    for(int i=1; i<=n; i++)
        cin>>A[i];
    int cnt=0;
    for(int i=n; i>=1; i--)
    {
        int j=i;
        while(j>0 && A[i]==A[j])
        {
            j--;
        }
        ans+=max((A[i]-cnt)*(i-j), 0ll);
        cnt+=i-j;
        i=j+1;
    }
    cout<<ans;


}
main()
{
    cin.tie(nullptr);
    cout.tie(nullptr);
    ios_base::sync_with_stdio(false);
    int t=1;
//    cin>>t;
    while(t)
    {
        t--;
        solve();
    }
}
